diff --git a/src/backend/commands/tablespace.c b/src/backend/commands/tablespace.c
index a9005cc721..c5024b1614 100644
--- a/src/backend/commands/tablespace.c
+++ b/src/backend/commands/tablespace.c
@@ -1063,7 +1063,10 @@ AlterTableSpaceOptions(AlterTableSpaceOptionsStmt *stmt)
 	if (newOptions != (Datum) 0)
 		repl_val[Anum_pg_tablespace_spcoptions - 1] = newOptions;
 	else
+	{
+		repl_val[Anum_pg_tablespace_spcoptions - 1] = (Datum) 0;
 		repl_null[Anum_pg_tablespace_spcoptions - 1] = true;
+	}
 	repl_repl[Anum_pg_tablespace_spcoptions - 1] = true;
 	newtuple = heap_modify_tuple(tup, RelationGetDescr(rel), repl_val,
 								 repl_null, repl_repl);
